Subject: Re: bug#65627: 28.2; erc-button-url-regexp does not recognise gophers://
From: Stefan Kangas <[email-masked]>
To: Troels Henriksen <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Aug 2023 21:01:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 29.2

> The regex in
>
>   browse-url-button-regexp
>
> does not recognise the gophers:// protocol.  Similarly to https://,
> gophers:// is an encrypted variant of the venerable Gopher protocol.
> The gophers protocol is supported in curl and other programs that build
> on libcurl, and while I can customize `browse-url-button-regexp` myself,
> I think it would be useful for all Emacs users if Emacs recognised
> gophers:// directly.
>
> A fix is simple: just add 's?' after 'gopher' in the regexp.

Thanks for the bug report.

I see that it is supported by libcurl, here: https://curl.se/libcurl/
There is also FTPS, which we don't have in our regexp.

So I've now fixed this on the master branch (commit 9e2d5a013c9), and
I'm closing this bug.